| Home | Libraries | People | FAQ | More

## Function template is_palindrome

boost::algorithm::is_palindrome

## Synopsis

    // In header: <boost/algorithm/is_palindrome.hpp>

    template<typename R> bool is_palindrome(const R & range);

## Description

| Note
This function will return true for empty sequences and for palindromes. For other sequences function will return false. Complexity: O(N).

Parameters: |
`range` | The range to be tested.
Returns: | true if the entire sequence is palindrome